## rust-coreutils 0.1.0+git20250801.cf79675

=== debian/changelog ===
rust-coreutils (0.1.0+git20250801.cf79675-0ubuntu1) questing; urgency=medium

  * New upstream release.
    - Fixes env(1) forks, but must exec() directly (LP: #2112491)
    - Fixes cat: f.gz: EPIPE: Broken pipe (LP: #2115033)
    - Fixes date parsing does not support sub-second precision (LP: #2111603)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 01 Aug 2025 17:10:13 +0200

rust-coreutils (0.1.0+git20250711.2ba3a33-0ubuntu4) questing; urgency=medium

  * Cherry pick mknod --mode fix (LP: #2116973)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 29 Jul 2025 18:40:35 +0200

rust-coreutils (0.1.0+git20250711.2ba3a33-0ubuntu3) questing; urgency=medium

  * install-Fix-no-target-directory-with-existing-file.patch: Cherry pick
    my pull request to fix --no-target-directory with existing target file
    (LP: #2118785)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 29 Jul 2025 12:17:51 +0200

rust-coreutils (0.1.0+git20250711.2ba3a33-0ubuntu2) questing; urgency=medium

  * d/b/install-mkdir-Handle-dir-.-like-dir.patch: Handle dir/./ like dir/.
    (LP: #2117466)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 22 Jul 2025 09:48:08 +0200

rust-coreutils (0.1.0+git20250711.2ba3a33-0ubuntu1) questing; urgency=medium

  * New upstream git commit 0.1.0+git20250711.2ba3a33
    - Fix  'od' invalid handling of non ascii chars (LP: #2114827)
    - Fix `cp -a` fails to copy symlink to directory (LP: #2116859)
    - Fix dpkg-source fails to unpack broken symlink (LP: #2116886)
    - Fix Incorrect evaluation of expr (LP: #2112445)
    - Fix cat doesn't handle EPERM (LP: #2112552)
    - Fix  /bin/stty: invalid argument 'sane' (LP: #2113983)
    - Fix tee is buffered (LP: #2114706)
    - Fix rm of long paths (LP: #2114886)
    - Fix ls doesn't include acl "+" info on symlink (LP: #2114887)
    - Fix fold: failed to read line: stream did not contain valid UTF-8
      (LP: #2114970)
    - Fix  gpgrt-config invalid output due to rust-coreutils "expr"
      (LP: #2115147)
    - Fix `cp --no-dereference --parents` where source is a symlink to
      a directory (LP: #2116572)
    - Internationalization and French translations for a lot of stuff
  * Install locales
  * d/patches/Setup-localization-for-utility-symlinks.patch: Setup the
    localization when invoked via symlinks

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 21 Jul 2025 12:48:46 +0200

rust-coreutils (0.1.0-0ubuntu1) questing; urgency=medium

  * New upstream release.
    - Add the -Z,--context options (LP: #2110910)
    - Add install -T (LP: #2111714)
    - Improve echo -- handling (LP: #2115196)
    - Fixes chroot in namespace (LP: #2111882)
    - sha256sum and friends now correctly handle * (LP: #2113963)
    - rm: Don't prompt if stdin is not interactive (LP: #2115035)
  * Update vendored dependencies and rebase the patches
  * Use Rust 1.85 for building, a bunch of workarounds are needed right now:
    - Use a vendored copy of the cargo wrapper that hardcodes cargo-1.85
    - Remove the unneeded dh_auto_configure call, this duplicates what we
      already do explictly
    - Switch the build system to makefile, since we actually use the
      makefile buildsystem

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 04 Jul 2025 13:58:43 +0200
