=== debian/control ===
Source: rust-coreutils
Section: utils
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 24),
 dh-sequence-bash-completion,
 cargo-1.85:native,
 rustc-1.85:native,
 libselinux1-dev,
 libclang-dev,
 python3-sphinx,
XS-Vendored-Sources-Rust: aho-corasick@1.1.3, allocator-api2@0.2.21, anes@0.1.6, ansi-width@0.1.0, anstream@0.6.19, anstyle-parse@0.2.7, anstyle-query@1.1.3, anstyle@1.0.11, array-init@2.1.0, arrayref@0.3.9, arrayvec@0.7.6, autocfg@1.4.0, bigdecimal@0.4.8, binary-heap-plus@0.5.0, bincode@2.0.1, bincode_derive@2.0.1, bindgen@0.71.1, bitflags@2.9.1, bitvec@1.0.1, blake2b_simd@1.0.3, blake3@1.8.2, block-buffer@0.10.4, bstr@1.12.0, bumpalo@3.18.1, bytecount@0.6.9, byteorder@1.5.0, cast@0.3.0, cc@1.2.27, cexpr@0.6.0, cfg-if@1.0.1, cfg_aliases@0.2.1, chrono@0.4.41, ciborium-io@0.2.2, ciborium-ll@0.2.2, ciborium@0.2.2, clang-sys@1.8.1, clap@4.5.42, clap_builder@4.5.42, clap_complete@4.5.55, clap_lex@0.7.5, clap_mangen@0.2.29, colorchoice@1.0.4, compare@0.1.0, console@0.16.0, const-random-macro@0.1.16, const-random@0.1.18, constant_time_eq@0.3.1, convert_case@0.7.1, cpufeatures@0.2.17, crc32fast@1.5.0, criterion-plot@0.5.0, criterion@0.6.0, crossbeam-deque@0.8.6, crossbeam-epoch@0.9.18, crossbeam-utils@0.8.21, crossterm@0.29.0, crunchy@0.2.3, crypto-common@0.1.6, ctor-proc-macro@0.0.6, ctor@0.4.3, ctrlc@3.4.7, data-encoding-macro-internal@0.1.16, data-encoding-macro@0.1.18, data-encoding@2.9.0, deranged@0.4.0, derive_more-impl@2.0.1, derive_more@2.0.1, diff@0.1.13, digest@0.10.7, displaydoc@0.2.5, dlv-list@0.5.2, dns-lookup@2.0.4, document-features@0.2.11, dtor-proc-macro@0.0.5, dtor@0.0.6, dunce@1.0.5, either@1.15.0, equivalent@1.0.2, errno@0.3.12, exacl@0.12.0, fastrand@2.3.0, file_diff@1.0.0, filedescriptor@0.8.3, filetime@0.2.25, fixed_decimal@0.7.0, flate2@1.1.2, fluent-bundle@0.16.0, fluent-langneg@0.13.0, fluent-syntax@0.12.0, fluent@0.17.0, fnv@1.0.7, foldhash@0.1.5, fs_extra@1.3.0, fts-sys@0.2.16, funty@2.0.0, futures-core@0.3.31, futures-macro@0.3.31, futures-task@0.3.31, futures-timer@3.0.3, futures-util@0.3.31, gcd@2.3.0, generic-array@0.14.7, getrandom@0.2.16, getrandom@0.3.3, glob@0.3.2, half@2.6.0, hashbrown@0.14.5, hashbrown@0.15.4, hex-literal@1.0.0, hex@0.4.3, hostname@0.4.1, iana-time-zone@0.1.63, icu_collator@2.0.0, icu_collator_data@2.0.0, icu_collections@2.0.0, icu_decimal@2.0.0, icu_decimal_data@2.0.0, icu_locale@2.0.0, icu_locale_core@2.0.0, icu_locale_data@2.0.0, icu_normalizer@2.0.0, icu_normalizer_data@2.0.0, icu_properties@2.0.1, icu_properties_data@2.0.1, icu_provider@2.0.0, indexmap@2.9.0, indicatif@0.18.0, inotify-sys@0.1.5, inotify@0.11.0, intl-memoizer@0.5.3, intl_pluralrules@7.0.2, is_terminal_polyfill@1.70.1, itertools@0.10.5, itertools@0.13.0, itertools@0.14.0, itoa@1.0.15, jiff@0.2.15, keccak@0.1.5, libc@0.2.174, libloading@0.8.8, libm@0.2.15, libz-rs-sys@0.5.1, linux-raw-sys@0.10.0, linux-raw-sys@0.9.4, litemap@0.8.0, litrs@0.4.1, lock_api@0.4.13, log@0.4.27, lru@0.12.5, lscolors@0.20.0, md-5@0.10.6, memchr@2.7.5, memmap2@0.9.7, memoffset@0.9.1, minimal-lexical@0.2.1, mio@1.0.4, nix@0.30.1, nom@7.1.3, nom@8.0.0, notify-types@2.0.0, notify@8.1.0, nu-ansi-term@0.50.1, num-bigint@0.4.6, num-conv@0.1.0, num-integer@0.1.46, num-modular@0.5.1, num-prime@0.4.4, num-traits@0.2.19, num_threads@0.1.7, number_prefix@0.4.0, once_cell@1.21.3, onig@6.5.1, onig_sys@69.9.1, oorandom@11.1.5, ordered-multimap@0.7.3, os_display@0.1.4, parking_lot@0.12.4, parking_lot_core@0.9.11, parse_datetime@0.11.0, phf@0.12.1, phf_codegen@0.12.1, phf_generator@0.12.1, phf_shared@0.12.1, pin-project-lite@0.2.16, pin-utils@0.1.0, pkg-config@0.3.32, platform-info@2.0.5, plotters-backend@0.3.7, plotters-svg@0.3.7, plotters@0.3.7, portable-atomic@1.11.1, potential_utf@0.1.2, powerfmt@0.2.0, ppv-lite86@0.2.21, pretty_assertions@1.4.1, prettyplease@0.2.34, proc-macro-crate@3.3.0, proc-macro2@1.0.95, quote@1.0.40, radium@0.7.0, rand@0.8.5, rand@0.9.2, rand_chacha@0.3.1, rand_chacha@0.9.0, rand_core@0.6.4, rand_core@0.9.3, rayon-core@1.12.1, rayon@1.10.0, regex-automata@0.4.9, regex-syntax@0.8.5, regex@1.11.1, relative-path@1.9.3, rlimit@0.10.2, roff@0.2.2, rstest@0.26.1, rstest_macros@0.26.1, rust-ini@0.21.2, rustc-hash@2.1.1, rustc_version@0.4.1, rustix@1.0.7, ryu@1.0.20, same-file@1.0.6, scopeguard@1.2.0, self_cell@1.2.0, selinux-sys@0.6.14, selinux@0.5.2, semver@1.0.26, serde-big-array@0.5.1, serde@1.0.219, serde_derive@1.0.219, serde_json@1.0.140, sha1@0.10.6, sha2@0.10.9, sha3@0.10.8, shlex@1.3.0, signal-hook-mio@0.2.4, signal-hook-registry@1.4.5, signal-hook@0.3.18, simd-adler32@0.3.7, siphasher@1.0.1, slab@0.4.9, sm3@0.4.2, smallvec@1.15.1, smawk@0.3.2, socket2@0.5.10, stable_deref_trait@1.2.0, strsim@0.11.1, syn@2.0.103, synstructure@0.13.2, tap@1.0.1, tempfile@3.20.0, terminal_size@0.4.2, textwrap@0.16.2, thiserror-impl@1.0.69, thiserror-impl@2.0.12, thiserror@1.0.69, thiserror@2.0.12, time-core@0.1.4, time-macros@0.2.22, time@0.3.41, tiny-keccak@2.0.2, tinystr@0.8.1, tinytemplate@1.2.1, toml_datetime@0.6.11, toml_edit@0.22.27, type-map@0.5.1, typenum@1.18.0, unic-langid-impl@0.9.6, unic-langid@0.9.6, unicode-ident@1.0.18, unicode-linebreak@0.1.5, unicode-segmentation@1.12.0, unicode-width@0.1.14, unicode-width@0.2.1, unindent@0.2.4, unit-prefix@0.5.1, unty@0.0.4, utf16_iter@1.0.5, utf8_iter@1.0.4, utf8parse@0.2.2, uuid@1.17.0, uutils_term_grid@0.7.0, version_check@0.9.5, virtue@0.0.18, walkdir@2.5.0, wild@2.2.1, winnow@0.7.11, writeable@0.6.1, wyz@0.5.1, xattr@1.5.1, yansi@1.0.1, yoke-derive@0.8.0, yoke@0.8.0, z85@3.0.6, zerocopy@0.8.25, zerofrom-derive@0.1.6, zerofrom@0.1.6, zerotrie@0.2.2, zerovec-derive@0.11.1, zerovec@0.11.2, zip@4.3.0, zlib-rs@0.5.1, zopfli@0.8.2
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/coreutils]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/coreutils
Homepage: https://github.com/uutils/coreutils
Rules-Requires-Root: no

Package: rust-coreutils
Architecture: any
Multi-Arch: allowed
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Universal coreutils utils, written in Rust
 This packages replaces the GNU coreutils package written in C.
 It should be a drop-in replacement but:
  * Some options have NOT been implemented,
  * Might have important bugs,
  * Might be slower,
  * Output of the binaries might be slightly different.
