## rust-coreutils 0.1.0+git20250813.4af2a84

=== debian/changelog ===
rust-coreutils (0.1.0+git20250813.4af2a84-0ubuntu4) questing; urgency=medium

  * Revert "Use Rust 1.85 for building", it is the default now
  * Use hardlinks in /usr/lib/cargo/bin instead of symlinks, this allows
    the next upload to enforce that argv[0] matches the executable name,
    such that an AppArmor profile allowing "ls" cannot be tricked into
    executing rm code by running "ls" with argv being {"rm", "..."}
  * Build verbosely

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 04 Sep 2025 12:34:06 +0200

rust-coreutils (0.1.0+git20250813.4af2a84-0ubuntu2) questing; urgency=medium

  * d/rules: Disable some more broken tests.
    These depend on the host's rust-coreutils, disable them for
    now. Forwarded upstream.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 26 Aug 2025 21:15:42 +0200

rust-coreutils (0.1.0+git20250813.4af2a84-0ubuntu1) questing; urgency=medium

  * New upstream release.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 14 Aug 2025 16:00:22 +0200
