=== debian/rules ===
--- 
+++ 
@@ -18,13 +18,16 @@
 # as it assumes no cross-compilation and hence files appearing in target/release
 # rather than the architecture-specific target directory.
 #export CARGO = /usr/share/cargo/bin/cargo
-export PATH := /usr/lib/rust-1.85/bin:$(PATH)
 export CARGO_VENDOR_DIR = rust-vendor
 export CARGO_HOME = $(CURDIR)/debian/cargo_home
+
+# Build verbosely
+export CARGOFLAGS = -v
+
 VENDOR_TARBALL = rust-coreutils_$(UPSTREAM_VERSION).orig-$(CARGO_VENDOR_DIR).tar.xz
 
 %:
-	dh $@ --buildsystem makefile
+	dh $@ --buildsystem cargo
 
 vendor-tarball-quick-check:
 	if [ -e ../$(VENDOR_TARBALL) ]; then echo "../$(VENDOR_TARBALL) already exists, bailing!"; exit 1; fi
@@ -35,7 +38,7 @@
 	# to have occurred already.
 	# If you have to modify the path here, don't forget to change the README.source doc
 	# as well.
-	env -i PATH=$(PATH) cargo-vendor-filterer --all-features  --tier 2  --platform '*-*-linux-gnu' --platform '*-*-linux-gnueabi' $(CARGO_VENDOR_DIR)
+	env -i cargo-vendor-filterer --all-features  --tier 2  --platform '*-*-linux-gnu' --platform '*-*-linux-gnueabi' $(CARGO_VENDOR_DIR)
 
 vendor-deps: vendor-deps-cargo
 	rm -r \
@@ -51,16 +54,37 @@
 	tar --sort=name --mtime=@0 --owner=0 --group=0 --numeric-owner --pax-option=exthdr.name=%d/PaxHeaders/%f,delete=atime,delete=ctime -caf ../$(VENDOR_TARBALL) $(CARGO_VENDOR_DIR)
 
 override_dh_auto_configure:
-	CARGO_HOME=$(CURDIR)/debian/cargo_home DEB_CARGO_CRATE=coreutils_$(VERSION) debian/cargo prepare-debian $(CARGO_VENDOR_DIR)
+	CARGO_HOME=$(CURDIR)/debian/cargo_home DEB_CARGO_CRATE=coreutils_$(VERSION) /usr/share/cargo/bin/cargo prepare-debian $(CARGO_VENDOR_DIR)
 	/usr/share/cargo/bin/dh-cargo-vendored-sources
+	dh_auto_configure
 
 override_dh_auto_test:
-	# for now, don't fail the build if tests are failing
-	CARGO_HOME=$(CURDIR)/debian/cargo_home make PROFILE=release MULTICALL=$(MULTICALL) test||true
-
-override_dh_auto_clean:
-	debian/cargo clean
-	rm -rf .cargo-checksum.json debian/cargo_registry
+	CARGO_HOME=$(CURDIR)/debian/cargo_home make PROFILE=release MULTICALL=$(MULTICALL) \
+				TEST_NO_FAIL_FAST="-- --skip test_env::test_env_arg_ignore_signal_valid_signals \
+				--skip test_env::test_simulation_of_terminal_for_stdin_only \
+				--skip test_simulation_of_terminal_size_information \
+				--skip test_simulation_of_terminal_true \
+				--skip test_device_number \
+				--skip test_expr::test_long_input \
+				--skip test_factor::test_parallel \
+				--skip test_install::test_install_and_strip \
+				--skip test_install::test_install_and_strip_with_program \
+				--skip test_od::test_suppress_duplicates \
+				--skip test_stat::test_fs_format \
+				--skip test_stat::test_multi_files \
+				--skip test_stat::test_normal_format \
+				--skip test_stat::test_printf \
+				--skip test_stat::test_symlinks \
+				--skip test_stat::test_terse_fs_format \
+				--skip test_stdbuf::test_libstdbuf_preload \
+				--skip test_stdbuf::test_no_such \
+				--skip test_stdbuf::test_permission \
+				--skip test_stdbuf::test_stdbuf_line_buffered_stdout \
+				--skip test_stdbuf::test_stdbuf_trailing_var_arg \
+				--skip test_stdbuf::test_stdbuf_unbuffered_stdout \
+				--skip test_who::test_boot \
+				--skip test_tail::test_following_with_pid" \
+				test
 
 override_dh_auto_install:
 #use thin rather than full lto on 32-bit to avoid running out of address space.
@@ -77,7 +101,12 @@
 	cd debian/tmp/usr/share/fish/vendor_completions.d/ && chmod -x *.fish
 	cd debian/tmp/usr/bin && mv rust-coreutils coreutils && rm rust-*
 #	cd debian/tmp/usr/share/fish/vendor_completions.d && for f in *fish; do mv $$f rust-$$f; done
-	dh_link
+#
+execute_after_dh_install:
+	install -d debian/rust-coreutils/usr/lib/cargo/bin/coreutils
+	cat debian/rust-coreutils.hardlinks | while read a b; do \
+		env -C debian/rust-coreutils/ ln $$a $$b; \
+	done
 
 override_dh_missing:
 	dh_missing --fail-missing
