=== docs/Makefile ===
clean:
	rm -rf book
	rm -f src/SUMMARY.md
	rm -f src/utils/*
