=== debian/changelog ===
rust-coreutils (0.2.2-0ubuntu2) questing; urgency=medium

  * id: Implement no-op `-a` option (LP: #2125578)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 24 Sep 2025 17:36:56 +0200

rust-coreutils (0.2.2-0ubuntu1) questing; urgency=medium

  * New upstream release.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 23 Sep 2025 17:17:36 +0200

rust-coreutils (0.1.0+git20250813.4af2a84-0ubuntu7) questing; urgency=medium

  * stty: avoid panic when not attached to a tty.
    This was causing additional stderr output in tests using
    xvfb-run, causing the tests to fail.
    (The *command* itself was failing regardless, but the failure
    case here is that the shell printed the "Aborted (core dumped)"
    messages)
  * Cherry-pick https://github.com/uutils/coreutils/pull/8565
  * Refresh 8565 to make it a "proper" patch that only patches each file once

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 09 Sep 2025 18:54:54 +0200

rust-coreutils (0.1.0+git20250813.4af2a84-0ubuntu6) questing; urgency=medium

  * Handle speed_t changes in glibc 2.42 (LP: #2121635)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 04 Sep 2025 23:32:09 +0200

rust-coreutils (0.1.0+git20250813.4af2a84-0ubuntu5) questing; urgency=medium

  * Require utilities to be invoked using matching path.
    Ensure that argv[0] if it is a utility name matches /proc/self/exe
    if /proc/self/exe exists. This allows AppArmor transitions to have
    reasonable effect; for example transitioning to unconfined ls cannot
    inadvertently run `rm` code.
  * Conflict with coreutils-from-uutils that linked to /usr/bin/coreutils.
    Symlinks to /usr/bin/coreutils no longer work in the new scheme,
    so we need a versioned Conflicts to force the symlinks to be
    updated first *before* we unpack the new enforcing rust-coreutils

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 04 Sep 2025 22:17:05 +0200
