=== debian/changelog ===
rust-coreutils (0.3.0-0ubuntu2) resolute; urgency=medium

  * Skip failing 0.3.0 tests
    https://github.com/uutils/coreutils/issues/9017

 -- Julian Andres Klode <juliank@ubuntu.com>  Sat, 25 Oct 2025 15:23:12 +0200

rust-coreutils (0.3.0-0ubuntu1) resolute; urgency=medium

  * New upstream release.
  * Drop applied patches:
    - date: use reference file (LP: #2127970)
    - id: Implement no-op `-a` option (LP: #2125578)

 -- Julian Andres Klode <juliank@ubuntu.com>  Sat, 25 Oct 2025 15:13:36 +0200

rust-coreutils (0.2.2-0ubuntu4) resolute; urgency=medium

  * Cherry pick fixes from pull requests
    - date: use reference file (LP: #2127970)
    - dd: ensure full writes (LP: #2125535)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 22 Oct 2025 12:39:11 +0200
