=== debian/rules ===
--- 
+++ 
@@ -64,13 +64,21 @@
 				--skip test_env::test_simulation_of_terminal_for_stdin_only \
 				--skip test_simulation_of_terminal_size_information \
 				--skip test_simulation_of_terminal_true \
-				--skip test_device_number \
 				--skip test_expr::test_long_input \
 				--skip test_factor::test_parallel \
+				--skip test_chown::test_chown_only_group_id_nonexistent_group \
+				--skip test_chown::test_chown_only_user_id_nonexistent_user \
 				--skip test_install::test_install_and_strip \
 				--skip test_install::test_install_and_strip_with_program \
+				--skip test_install::test_install_root_combined \
+				--skip test_od::test_od_options_after_filename \
 				--skip test_od::test_suppress_duplicates \
+				--skip test_pinky::test_no_flag \
+				--skip test_pinky::test_short_format_i \
+				--skip test_pinky::test_short_format_q \
 				--skip test_stat::test_fs_format \
+				--skip test_stat::test_mount_point_basic \
+				--skip test_stat::test_mount_point_combined_with_other_specifiers \
 				--skip test_stat::test_multi_files \
 				--skip test_stat::test_normal_format \
 				--skip test_stat::test_printf \
@@ -80,10 +88,11 @@
 				--skip test_stdbuf::test_no_such \
 				--skip test_stdbuf::test_permission \
 				--skip test_stdbuf::test_stdbuf_line_buffered_stdout \
+				--skip test_stdbuf::test_stdbuf_non_utf8_paths \
 				--skip test_stdbuf::test_stdbuf_trailing_var_arg \
 				--skip test_stdbuf::test_stdbuf_unbuffered_stdout \
 				--skip test_who::test_boot \
-				--skip test_tail::test_following_with_pid" \
+				--skip util_invalid_name_invalid_command" \
 				test
 
 override_dh_auto_install:
